NonBlockingCoordinator.CoordinationEvent (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.tribes.group.interceptors

## Class NonBlockingCoordinator.CoordinationEvent

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationEvent

- All Implemented Interfaces:
    ChannelInterceptor.InterceptorEvent
  Enclosing class:
    NonBlockingCoordinator

      public static class NonBlockingCoordinator.CoordinationEvent
      extends java.lang.Object
      implements ChannelInterceptor.InterceptorEvent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVT_CONF_RX`
    `static int` | `EVT_ELECT_ABANDONED`
    `static int` | `EVT_MBR_ADD`
    `static int` | `EVT_MBR_DEL`
    `static int` | `EVT_MSG_ARRIVE`
    `static int` | `EVT_POST_MERGE`
    `static int` | `EVT_PRE_MERGE`
    `static int` | `EVT_PROCESS_ELECT`
    `static int` | `EVT_SEND_MSG`
    `static int` | `EVT_START`
    `static int` | `EVT_START_ELECT`
    `static int` | `EVT_STOP`
    `static int` | `EVT_WAIT_FOR_MSG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoordinationEvent(int type, ChannelInterceptor interceptor, java.lang.String info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEventType()`
    `java.lang.String` | `getEventTypeDesc()`
    `ChannelInterceptor` | `getInterceptor()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVT_START

          public static final int EVT_START

      See Also:
        Constant Field Values

    - #### EVT_MBR_ADD

          public static final int EVT_MBR_ADD

      See Also:
        Constant Field Values

    - #### EVT_MBR_DEL

          public static final int EVT_MBR_DEL

      See Also:
        Constant Field Values

    - #### EVT_START_ELECT

          public static final int EVT_START_ELECT

      See Also:
        Constant Field Values

    - #### EVT_PROCESS_ELECT

          public static final int EVT_PROCESS_ELECT

      See Also:
        Constant Field Values

    - #### EVT_MSG_ARRIVE

          public static final int EVT_MSG_ARRIVE

      See Also:
        Constant Field Values

    - #### EVT_PRE_MERGE

          public static final int EVT_PRE_MERGE

      See Also:
        Constant Field Values

    - #### EVT_POST_MERGE

          public static final int EVT_POST_MERGE

      See Also:
        Constant Field Values

    - #### EVT_WAIT_FOR_MSG

          public static final int EVT_WAIT_FOR_MSG

      See Also:
        Constant Field Values

    - #### EVT_SEND_MSG

          public static final int EVT_SEND_MSG

      See Also:
        Constant Field Values

    - #### EVT_STOP

          public static final int EVT_STOP

      See Also:
        Constant Field Values

    - #### EVT_CONF_RX

          public static final int EVT_CONF_RX

      See Also:
        Constant Field Values

    - #### EVT_ELECT_ABANDONED

          public static final int EVT_ELECT_ABANDONED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoordinationEvent

          public CoordinationEvent(int type,
                                   ChannelInterceptor interceptor,
                                   java.lang.String info)

  - ### Method Detail

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `ChannelInterceptor.InterceptorEvent`

    - #### getEventTypeDesc

          public java.lang.String getEventTypeDesc()

      Specified by:
        `getEventTypeDesc` in interface `ChannelInterceptor.InterceptorEvent`

    - #### getInterceptor

          public ChannelInterceptor getInterceptor()

      Specified by:
        `getInterceptor` in interface `ChannelInterceptor.InterceptorEvent`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.